<!-- DTD for horn preferences file -->

<!ELEMENT preferences (part+)>

<!ELEMENT part (entry* | (popped?, pushed?) | destroy?)>
<!ATTLIST part name CDATA #REQUIRED>

<!ELEMENT entry (state)*>
<!ATTLIST entry name CDATA #REQUIRED>

<!ELEMENT popped (color)>

<!ELEMENT pushed (color)>

<!ELEMENT state (background?, foreground?, font?, border?)>
<!ATTLIST state name CDATA #REQUIRED>

<!ELEMENT border (width?, color?)>

<!ELEMENT background (#PCDATA)>
<!ELEMENT foreground (#PCDATA)>
<!ELEMENT font (#PCDATA)>
<!ELEMENT color (#PCDATA)>
